Summary:	Suexec binary for apache
Name:		apache1-suexec
Version:	1.3.33
Release:	1mdk
Group:		System/Servers
License:	Apache License
URL:		http://httpd.apache.org/docs/suexec.html
Source0:	apache-suexec.tar.bz2
Prereq:		apache1-base >= %{version}
Requires:	apache1 >= %{version}
BuildRequires:	apache1-devel >= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package adds suexec to Apache. Suexec provides Apache users the ability
to run CGI and SSI programs under user IDs different from the user ID of the
calling web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server. 

%prep

%setup -n apache-suexec

APFLAGS=`%{_sbindir}/apache1-apxs -q CFLAGS`
OPTIONS=$APFLAGS" \
    -DHTTPD_USER=\"apache\" \
    -DUID_MIN=100 \
    -DGID_MIN=100 \
    -DUSERDIR_SUFFIX=\"public_html\" \
    -DLOG_EXEC=\"%{_var}/log/apache1/suexec_log\" \
    -DDOC_ROOT=\"%{_var}/www\" \
    -DSAFE_PATH=\"/usr/local/bin:%{_bindir}:/bin\" \
    -I%{_includedir}/apache1"
echo Configuring with: $OPTIONS

gcc $OPTIONS -o suexec suexec.c

%install
rm -rf $RPM_BUILD_ROOT

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8

install -m0755 suexec %{buildroot}%{_sbindir}/apache1-suexec
install suexec.8 %{buildroot}%{_mandir}/man8/apache1-suexec.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(4710,root,apache) %{_sbindir}/apache1-suexec
%{_mandir}/man8/*

%changelog
* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33-1mdk
- renamed to apache1-suexec

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-2mdk
- rebuilt against new'ish apache1

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-1mdk
- 1.3.31
- remove redundant provides

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.29-1mdk
- new S0

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-1mdk
- rebuild with new apache

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3.27-5mdk
- rebuild
- buildrequires

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-4mdk
- new macroized libmm version

* Thu Jan 02 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-3mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-2mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-1mdk
- New version

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.26-2mdk
- don't specify release number for apache-conf.

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.26-1mdk
- rebuild against latest apache.
- fix some var declaration in the spec file (thanks to Oden).

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.24-1mdk
- Apache 1.3.24.

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-3mdk
- Moved suexec into its own SRPM so people can recompile it according to
  their settings without recompiling the whole apache.
